#include "ros/ros.h"
#include <geometry_msgs/Twist.h>
#include <iostream>
#include "std_msgs/String.h"
#include <actionlib_msgs/GoalID.h>

int main(int argc, char *argv[])
{
  ros::init(argc,argv,"cmd_pub");
  ros::NodeHandle nh;
  // ros::Publisher cmd_vel_pub = nh.advertise<geometry_msgs::Twist>("/cmd_vel", 100);
  ros::Publisher stereo_pub = nh.advertise<std_msgs::String>("/room_exploration/room_exploration_server/stereo_msg", 1000);
	ros::Publisher cancel_pub_ = nh.advertise<actionlib_msgs::GoalID>("/move_base/cancel", 10);
  

  // geometry_msgs::Twist cmd_vel_msg;

  ros::Rate rate(10);
	actionlib_msgs::GoalID cancel_msg;
  cancel_msg.stamp =	ros::Time::now();
	cancel_msg.id =  std::to_string(ros::Time::now().toSec());
	
  std_msgs::String ss;
  ss.data = "a";

  ros::Duration(0.5).sleep();
  cancel_pub_.publish(cancel_msg);
  // stereo_pub.publish(ss);

  ros::spin();

  return 0;
}